//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Mask/MaskObject.h
//! @brief     Defines class MaskObject.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_MASK_MASKOBJECT_H
#define BORNAGAIN_GUI_MODEL_MASK_MASKOBJECT_H

#include <QObject>

//! QObject with signals used in masks

class MaskObject : public QObject {
    Q_OBJECT
public:
    explicit MaskObject();
    virtual ~MaskObject();

signals:
    void maskGeometryChanged(MaskObject* sender = nullptr);
    void maskVisibilityChanged();
    void maskToBeDestroyed(MaskObject* sender = nullptr);
};

#endif // BORNAGAIN_GUI_MODEL_MASK_MASKOBJECT_H
