//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Data/DatafilesStack.h
//! @brief     Defines class DatafilesStack.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_DATA_DATAFILESSTACK_H
#define BORNAGAIN_GUI_VIEW_DATA_DATAFILESSTACK_H

#include "GUI/View/Item/ItemStackWidget.h"
#include <QMap>

class DatafileItem;
class DatafilePresenter;

class DatafilesStack : public ItemStackWidget {
public:
    //! Shows the widget for given item (and hides previous one).
    //! If no widget yet exists, it will be created.
    void setItem(DatafileItem* item);

    DatafilePresenter* itemWidget(DatafileItem* item);

private:
    QMap<DatafileItem*, DatafilePresenter*> m_itemToWidget;
};

#endif // BORNAGAIN_GUI_VIEW_DATA_DATAFILESSTACK_H
