//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Frame/Plot2DFrame.h
//! @brief     Defines class Plot2DFrame.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_FRAME_PLOT2DFRAME_H
#define BORNAGAIN_GUI_VIEW_FRAME_PLOT2DFRAME_H

#include "GUI/View/Access/DataAccessWidget.h"
#include <QAction>

class IntensityDataCanvas;
class Scale2DEditor;

//! A common widget to display color map (IntensityDataCanvas) and properties
//! (ItemPropertyWidget) of intensity data item.

class Plot2DFrame : public DataAccessWidget {
    Q_OBJECT
public:
    Plot2DFrame();

    void setJobOrDatafileItem(QObject* item) override;

    QList<QAction*> actionList() override;

private:
    void onContextMenuRequest(const QPoint& point);

    IntensityDataCanvas* m_intensityCanvas;
    Scale2DEditor* m_scaleEditor;
    QAction* m_togglePropertiesAction;
};

#endif // BORNAGAIN_GUI_VIEW_FRAME_PLOT2DFRAME_H
