//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Scene/MaskViewFactory.h
//! @brief     Defines class MaskViewFactory.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SCENE_MASKVIEWFACTORY_H
#define BORNAGAIN_GUI_VIEW_SCENE_MASKVIEWFACTORY_H

class IShapeDisplay;
class MaskObject;

namespace MaskViewFactory {

//! Factory to construct views out of MaskItems for MaskGraphicsScene
IShapeDisplay* createMaskView(MaskObject* item);

} // namespace MaskViewFactory

#endif // BORNAGAIN_GUI_VIEW_SCENE_MASKVIEWFACTORY_H
