//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Scene/RegionOfInterestDisplay.h
//! @brief     Defines class RegionOfInterestDisplay.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SCENE_REGIONOFINTERESTDISPLAY_H
#define BORNAGAIN_GUI_VIEW_SCENE_REGIONOFINTERESTDISPLAY_H

#include "GUI/View/Shape/RectangleDisplay.h"

class RegionOfInterestItem;

//! The RegionOfInterest class represent view of RegionOfInterestItem on graphics scene.

class RegionOfInterestDisplay : public RectangleDisplay {
    Q_OBJECT
public:
    int type() const override { return MaskType::REGIONOFINTEREST; }

    explicit RegionOfInterestDisplay(RegionOfInterestItem* item);

    QRectF boundingRect() const override;

protected slots:
    void update_view() override;

protected:
    void paint(QPainter* painter, const QStyleOptionGraphicsItem*, QWidget*) override;
};

#endif // BORNAGAIN_GUI_VIEW_SCENE_REGIONOFINTERESTDISPLAY_H
